[riot-notifications] [RIOT-OS/RIOT] pkg/lua: Make the module searchers conform to the API. (#9726)

Juan I Carrano notifications at github.com
Fri May 31 15:46:33 CEST 2019


jcarrano commented on this pull request.



> +#!/usr/bin/env python3
+
+# Copyright (C) 2019 Freie Universit├Ąt Berlin
+#
+# This file is subject to the terms and conditions of the GNU Lesser
+# General Public License v2.1. See the file LICENSE in the top level
+# directory for more details.
+
+# Tell the lua interpreter running in riot to load some modules and print
+# the value of a variable inside that module.
+
+import os
+import sys
+
+MODULE_QUERIES = [
+    ("m1", "a", "1"),

Dang! you are right! For some reason I thought expect_exact meant "expect exactly this". It seems I'm not be smart enough to use pexpect.

But wait, there's even more! Say I changed the 1 with a 9, then thanks to glorious pyterm the
"2019-05-31 ....!" at the beginning of a line would also be matched. It seems I'm not smart enough to use pyterm either.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/RIOT-OS/RIOT/pull/9726#discussion_r289395643
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.riot-os.org/pipermail/notifications/attachments/20190531/9adf1081/attachment-0001.html>


More information about the notifications mailing list